Bug 9087 - more xterm fixes, as discussed per email
more xterm fixes, as discussed per email
Product: Red Hat Linux
Classification: Retired
Component: ncurses (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-02-02 19:06 EST by Hans de Goede
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-03 13:03:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix for the described problem (2.95 KB, patch)
2000-02-02 19:07 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2000-02-02 19:06:54 EST

As discussed per email with timp, pbrown and bero.

This changes the xterm terminfo entries for F1-F4 and F12-F24 from the
VT100 to the VT220 esc sequences, making terminfo match with:
rxvt, Eterm and konsole.

And more important, once xterm and gnome-terminal are matched too.
Restore compatibility with apps with hardcodes VT220 esc-sequences like vim
and ntsysv.

The attached patch is a replacement for the old ncurses-5.0-fixxterm patch.
Comment 1 Hans de Goede 2000-02-02 19:07:59 EST
Created attachment 88 [details]
Fix for the described problem
Comment 2 Bernhard Rosenkraenzer 2000-02-03 13:03:59 EST
Thanks, fixed.

Note You need to log in before you can comment on or make changes to this bug.